Package org.apache.storm.generated

## Interface DistributedRPCInvocations.AsyncIface

- All Known Implementing Classes:
    `DistributedRPCInvocations.AsyncClient`
  Enclosing class:
    DistributedRPCInvocations

      public static interface DistributedRPCInvocations.AsyncIface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `failRequest​(String id, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)` |
    `void` | `failRequestV2​(String id, DRPCExecutionException e, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)` |
    `void` | `fetchRequest​(String functionName, org.apache.storm.thrift.async.AsyncMethodCallback<DRPCRequest> resultHandler)` |
    `void` | `result​(String id, String result, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)` |

- - ### Method Detail

    - #### result

          void result​(String id,
                      String result,
                      org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
               throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### fetchRequest

          void fetchRequest​(String functionName,
                            org.apache.storm.thrift.async.AsyncMethodCallback<DRPCRequest> resultHandler)
                     throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### failRequest

          void failRequest​(String id,
                           org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### failRequestV2

          void failRequestV2​(String id,
                             DRPCExecutionException e,
                             org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                      throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`